Actualisations pour 4.2 dans stable et testing

Ce forum est dédié au nouveautés, événements autour du projet Opsi
Antworten
otto
Beiträge: 137
Registriert: 08 Aug 2017, 12:16

Actualisations pour 4.2 dans stable et testing

Beitrag von otto »

Chers utilisateurs d'opsi,

nous publions avec la nouvelle version des nouveaux paquets dans stable et testing.

## Précisions concernant opsi-script 4.12.4.36

* %opsiscriptProcname% (since 4.12.4.35) Nom du procès opsi-script en cours. À utiliser par exemple avec isProcessChildOf

* isProcessChildOf(<searchprocstr>, <parentprocstr>): bool //since 4.12.4.35 [W/L/M]
Résultat true si le procès <searchprocstr> est child de <parentprocstr>.

Exemple:

Code: Alles auswählen

if isProcessChildOf('%opsiscriptprocname%', 'opsiclientd.exe')
comment "running in opsi service context"
endif
• Nouveau Config: opsi-script.global.writeProductLogFile : boolean // depuis 4.12.4.35
Si true, un fichier Log sera écrit sur le client dans le sous-dossier lastprodlogs du dossier log opsi-script (p.ex. c:\opsi.org\log\lastprodlogs) pour chaque produit opsi. Le nom du fichier log est <productId>.log. Il existe par conséquent le log du dernier script pour chaque produit. Dans le cas où un script inclut des redémarrages au sein du script, le log contient seulement le part après la dernière redémarrage.
Défaut: false

• GetMsVersionName [W] // since 4.12.4.35
donne des informations sur la version 'marketing' des systèmes Windows, par exemple donne le résultat "7.0" pour un système Windows 7 ou "11.0" pour Windows 11.

* Adaption powershell AllSigned: Execwith Des sections avec des appels Powershell et Powershellcall fonctionnenet maintenant aussi si l'ExecutionPolicy AllSigned est défini. (Voir le manuel)

* Joindre un opsi-script.log (instlog) sur le serveur fonctionne maintenant à nouveau comme sous opsi 4.1.

## Indications à windows10-upgrade

* Soutient l'actualisation à Windows 1021H2

* Attention: Il est nécessaire que opsi-client-agent_4.2.0.20-1 (opsiclientd version 4.2.0.104) ou plus actuel soit installé sur des clients
* Il faut aussi avoir installé opsi-script version 4.12.4.35-6 ou plus actuel.

Cela utilise les nouveaux méthodes opsiclientd loginOpsiSetupUser, runAsOpsiSetupUser et runOpsiScriptAsOpsiSetupUser au lieu d'épauler l'opsiSetupUser

Une documentation exhaustive se trouve dans le fichier

localsetup/docs/windows10-upgrade_documentation.pdf



## WOL-Broadcasts

Afin de pouvoir contrôler mieux des broadcasts WOL dans des grands réseaux, l'adresse broadcast est désormais investigué sur la base de l'adresse Client-IP dans le backend opsi.
Pour cela, le hostcontrol.conf utilise le nouveau format:

Code: Alles auswählen

{ "<network-address>": { "<broadcast-address>": <port-list> } }
Mais aussi le format de configuration ancien continue à fonctionner.



## stable

Windows Localboot:
- opsi-script 4.12.4.35-7
- opsi-winst 4.12.4.35-7
- opsi-client-agent 4.2.0.20-2

Linux Localboot:
- opsi-script 4.12.4.35-7
- opsi-linux-client-agent 4.2.0.14-1

Macos Localboot:
- opsi-script 4.12.4.35-7

Windows Netboot packages:
- Windows NT6 4.2.0.1-7

Linux Netboot
- debian (4.2.0.2-1)
- sles12sp3 (4.2.0.1-6)
- sles12sp4 (4.2.0.1-6)
- sles12sp5 (4.2.0.1-6)
- ubuntu (4.2.0.2-1)
- ucs44 (4.2.0.1-5)

Paquages Netboot opsi-local-image:
- opsi-local-image-restore (4.2.0.3-1)
- opsi-local-image-NT6 (4.2.0.1-7)
- opsi-vhd-win10-x64 (4.2.0.1-7)

opsi serveur produits:
- opsi-server 4.2.0.57
- opsiconfd 4.2.0.227
- opsipxeconfd 4.2.0.22
- opsi-utils 4.2.0.148
- opsi-script 4.12.4.35-7


manuels opsi
- opsi-script 4.12.4.35


## testing:

Windows Localboot:
- windows10-upgrade (21h2-1)
- opsi-client-kiosk 4.1.1.12-10
- opsi-script-test 4.12.4.36-1
- opsi-winst/opsi-script 4.12.4.36-1
- opsipackagebuilder_wlm 8.5.0-1

Linux Localboot:
- l-desktop 4.2.0.2-1
- opsi-script-test 4.12.4.36-1
- opsipackagebuilder_wlm 8.5.0-1

MacOS Localboot packages:

- opsi-script-test 4.12.4.36-1
- opsipackagebuilder_wlm 8.5.0-1

Windows Netboot:
- windows NT6 (4.2.0.2-1)

OLI Netboot:
- opsi-local-image-NT6 (4.2.0.2-1)
- opsi-vhd-win10-x64 (4.2.0.2-1)
- opsi-local-image-restore (4.2.0.4-1)

Linux Netboot:
- debian (4.2.0.2-2)
- ubuntu (4.2.0.2-2)

opsi serveur produits:
- opsi-server 4.2.0.62
- opsiconfd 4.2.0.233
- opsipxeconfd 4.2.0.24
- opsi-utils 4.2.0.152
- opsi-linux-bootimage 20220124-2
- opsi-script 4.12.4.36-1
- opsi-directory-connector 47.7

Cordialement
Fabian Kalweit

# Changelogs:

Code: Alles auswählen

===========================================================================================

opsi-script (4.12.4.36) stable; urgency=low

  * oszip: show progressbar while zipping or unzipping files
  * oswebservice: getOpsiModules: integrate new backend_getLicensingInfo method with fallback to old backend_info
  * oswebservice: retrieveJSONObject: retry on other communication mode only on 400- bad request result
  * oswebservice: retrieveJSONObjectByHttpPost: retry on other communication mode only on 400- bad request result
  * oswebservice: getOpsiModules: Legal notice to our license protection
  * osfunclin: linIsUefi: implemented uefi test for linux
  * boolean function runningOnUefi now also supports linux
  * updated unit uSMBIOS (TSMBIOS) (https://code.google.com/p/tsmbios/)
  * uSMBIOS: with fix https://github.com/RRUZ/tsmbios/issues/15
  * osparser: fix %Systemroot% and %SystemDrive% for terminal servers ; references #4711
  * oswebservice: better opsi 4.0 compatibility by investigating the server response
  * osurlparser: createUrl: initialize uriobj.HasAuthority

-- d.oertel <d.oertel@uib.de> Wed, 19 Jan 2022 15:00

opsi-script (4.12.4.35) stable; urgency=low

  * osparser: getMSVersionMap: remove double ReleaseID=
  * osparser: executeWith: AllSigned Hack: use:
        "Get-Content -Path '+ tempfilename +' | Out-String | Invoke-Expression"
  * osparser: new function getMSVersionName: string
  * oslinmount: replace getGeneralConfigValue by configState_getObjects
  * osprocesses: new isProcessChildOf(searchproc,parentproc: string): boolean;
  * new boolean opsi-script function: isProcessChildOf(<searchprocstr>, <parentprocstr>): bool;
    implemented for WLM
  * new opsi-script constant %opsiscriptprocname% represents the name of the
    just running opsi-script process (opsi-script.exe, opsi-script, opsi-script-gui)
    changes in opsiconf, osparser, opsiscript.lpr
  * write now component logs to subdir 'lastprodlogs'
  * osprocesses: isProcessChildOf also for win64
  * oswebservice: sendlog: fix boolean values for append at log_write
  * osfunclin: getProfilesDirListLin fix non standard lines from getent passwd
  * osparser: executewith: powershell: remove a trailing '-file' from programparas
  * osGUIcontrol: skindirectoryDevelopment = '../../../skin';
  * osGUIcontrol: Linux: skindirectoryCompatibility = '/opt/opsi-script/skin';

-- d.oertel <d.oertel@uib.de> Tue, 04 Jan 2022 15:00


opsi-script (4.12.4.34) stable; urgency=low

  * oszip: catch exceptions
  * osparser: fix callingsection parameter in call of SearchForSectionLines
    from producestringlist:getOutstreamFromSection / getReturnlistFromSection
  * powershell AllSigned Hack: type tmpfile | powershell -command -
    will be switched on automatically if AllSigned is detected.
    Additional parameters (to script or powershell) will be ignored in this case.
  * oslog: new property WriteComponentFile. if true a logfile for every component (product)
    is (re)written.
  * osconf: new config: opsi-script.global.writeProductLogFile (default=false)
  * oslog: changed histrory line to:
    'handled: <productid> Version: <versiion> Request: <request> Result: <result>
  * osparser: opsiservicecall: new line allowed: "timeout" : <int>
  * oswebservice: TOpsiMethodCall has now property timeout

-- d.oertel <d.oertel@uib.de> Wed, 15 Dec 2021 15:00

===========================================================================================

opsi-script-test (4.12.4.36-1) stable; urgency=low

  * getProductpropertylist(<propertyname>,<json type stringlist literal>)
  * GetProductProperty / list - with properties.conf
  * new test for runningOnUefi in Linux
  
  
-- detlef oertel <d.oertel@uib.de>  Mon,  24 Jan 2022 15:00:00 +0200

opsi-script-test (4.12.4.35-1) stable; urgency=low

  * powershell: AllSigned Hack in PowershellCall / execwith with loops
  * opsiservicecall test timeout command: give a message
  * new property processinfo
    tests for getprocesslist and processIsRunning moved from stringlist to here
  * test isProcessChildOf in processinfo
  * test getMSVersionName in stringtest
  * varasparam: fixes for waitforprocessending at macos
  
-- detlef oertel <d.oertel@uib.de>  Tue,  04 Jan 2022 15:00:00 +0200

opsi-script-test (4.12.4.34-1) stable; urgency=low

  * powershell: AllSigned Hack in PowershellCall / execwith
  * varasparam: AllSigned Hack in PowershellCall / execwith
  * subsub getoutstreamfromsection
  * opsiservicecall test timeout command
  
-- detlef oertel <d.oertel@uib.de>  Wed,  22 Dec 2021 15:00:00 +0200

===========================================================================================

opsi-local-image-restore (4.2.0.4-1) stable; urgency=low

  * opsisetuplib new:
     * removeFromUefiBootOrder(label)
     * removeFromUefiBootNext(label)
     * deleteUefiBootNext()
  * add removeFromUefiBootOrder('opsitempwinpe')
  * add removeFromUefiBootNext('opsitempwinpe')
  * if ntfs uefiFirstBootLabel = "Windows Boot Manager"
            setFirstUefiBoot(uefiFirstBootLabel)
-- detlef oertel <d.oertel@uib.de>  Fri, 29 Jan 2022 15:00:00 +0200

opsi-local-image-restore (4.2.0.3-1) stable; urgency=low

  * remove deleteAllEntriesFromEFIBootmgr('opsitempwinpe')
    (at least until we are able to recreate it in windows)

-- detlef oertel <d.oertel@uib.de>  Tue, 18 Jan 2022 15:00:00 +0200

opsi-local-image-restore (4.2.0.2-1) testing; urgency=low

  * added no_proxy property

 -- Mathias Radtke <m.radtke@uib.de> Tue Dec 21 14:25:00 2021 +0200

===========================================================================================

opsipackagebuilder_wlm (8.5.0-1) stable; urgency=medium
  * opsiPackageBuilder-v8.5.0.exe (https://forum.opsi.org/viewtopic.php?p=55485#p55485 8.5.0 online)
-- b.wolf <b.wolf@uib.de> fri, 28 Jan 2022 15:00:00 +0200

===========================================================================================

psi-client-kiosk (4.1.1.12-10) experimental; urgency=medium

  * connected depot is now shown in the status bar (bottom of the application) 
  * small fix in GUI: Buttons are shown now consistent if setting product action for next standard event, moving back to tiles view and then go back again to detailed product view.  

-- Jan Werner <j.werner@uib.de> Mon, 18 Nov 2021 14:51:00 +0100

opsi-client-kiosk (4.1.1.11-10) experimental; urgency=medium

  * include encoding=utf8 to *.opsiscript files and convert files to utf8 

-- Jan Werner <j.werner@uib.de> Mon, 12 Jul 2021 18:08:00 +0100

===========================================================================================

windows10-upgrade (21h2-1) testing; urgency=low
        * IMPORTANT: Requires opsiclientd version 4.2.0.104 or higher
        * IMPORTANT: Requires opsi-script version 4.12.4.35-6 or higher
        * Added support for Windows 10 21H2
        * Added encoding=utf8 to all scripts
        * Refactored the code
        * Enhanced WAN/VPN mode detection
        * Replaced the opsiSetupUser creation and autologon handling with the new opsiclientd methods loginOpsiSetupUser, runAsOpsiSetupUser and runOpsiScriptAsOpsiSetupUser
        * Replaced $RequiredWinstVersion$ with $RequiredOpsiScriptVersion$
        * Removed permission check and fix
        * Updated wimlib to version 1.13.5
        * Tested on win7, win7-x64, win81, win81-x64, win10-2015, win10-x64-2015, win10-2016, win10-x64-2016, win10-2019, win10-x64-2019, win10-2021, win10-x64-2021, win10-21h1, win10-x64-21h1
-- Matthias Knauer <m.knauer@uib.de> Mon, 17 Jan 2022 11:11:11 +0000

===========================================================================================

debian/ubuntu (4.2.0.2-2) testing; urgency=low

  * calling update-grub after setting ifnames in /etf/default/grub

 -- Mathias Radtke <m.radtke@uib.de> Wed Jan 09:50:00 2022 +0200

debian/ubuntu (4.2.0.2-1) testing; urgency=low

  * added no_proxy property

 -- Mathias Radtke <m.radtke@uib.de> Tue 21 Dec 14:25:00 2021 +0200

===========================================================================================

sles12sp3/4/5 (4.2.0.1-6) testing; urgency=low

  * autoyast xml: added LTSS repository

 -- Mathias Radtke <m.radtke@uib.de> Wed Dec 08 13:14:00 2021 +0200

===========================================================================================

ucs44 (4.2.0.1-5) testing; urgency=low

  * fixed error when installing linux-client-agent

 -- Mathias Radtke <m.radtke@uib.de> Tue Dec 21 12:32:00 2021 +0200

===========================================================================================

windows (4.2.0.2-1) testing; urgency=low

  * product property installfiles

 -- Fabian Kalweit <f.kalweit@uib.de> Wed Dec 22 09:50:08 2021 +0200

windows (4.2.0.1-7) testing; urgency=low

  * corrected behaviour when using data_partition_preserve
  * modified unattend.xml to prevent device encryption on installation

 -- Mathias Radtke <m.radtke@uib.de> Wed Jan 12 13:39:37 2022 +0200


windows (4.2.0.1-6) testing; urgency=low

  * changed property values for system_keyboard_locale and winpe_inputlocale

 -- Mathias Radtke <m.radtke@uib.de> Thu Dec  9 14:26:58 2021 +0200

===========================================================================================

opsi-linux-bootimage (20220124-2) testing; urgency=low

  * run-master: fixed typo

 -- Mathias Radtke <m.radtke@uib.de> Mon, 24 Jan 2022 13:37:00 +0200

opsi-linux-bootimage (20220124-1) testing; urgency=low

  * run-master: corrected SecureBoot check when using backend_getLicensingInfo()

 -- Mathias Radtke <m.radtke@uib.de> Mon, 24 Jan 2022 07:56:00 +0200

===========================================================================================

opsi-client-agent (4.2.0.21-1) stable; urgency=low

  * Updated opsiclientd to 4.2.0.105
  * Updated opsi-deploy-client-agent to 4.2.0.17 (set timeouts, added parameter --install-timeout)
  * Updated oca-installation-helper to 4.2.0.12
  * On reinstallation via netboot, keep pending actionRequests (like always)

-- Nils Doerrer <n.doerrer@uib.de> Thu, 03 Feb 2022 15:00:00 +0100

opsi-client-agent (4.2.0.20-2) stable; urgency=low

  * stop installation if previous opsiclientd is < 4.2.0.77 and operating in WAN mode

-- Nils Doerrer <n.doerrer@uib.de> Wed, 02 Jan 2022 17:00:00 +0100

opsi-client-agent (4.2.0.20-1) stable; urgency=low

  * Dependency to opsi-script >= 4.12.4.35
  * Improved uninstallation script
  * Updated oca-installation-helper to 4.2.0.11 (powershell allsigned change, adapted proxy handling)
  * Improved installation in wim-capture-kontext (not setting installed packages to setup)
  * Connectivity check during setup
  * Updated opsiclientd to 4.2.0.104

-- Nils Doerrer <n.doerrer@uib.de> Thu, 06 Jan 2022 16:30:00 +0100

opsi-client-agent (4.2.0.19-2) stable; urgency=low

  * Reverted powershell fix
  * Updated opsiclientd to 4.2.0.103

-- Nils Doerrer <n.doerrer@uib.de> Wed, 22 Dec 2021 13:00:00 +0100

opsi-client-agent (4.2.0.19-1) stable; urgency=low

  * Update opsi-login-blocker to 4.2.0.1
  * Update opsiclientd to 4.2.0.102 (event handling fix)
  * Update oca-installation-helper to 4.2.0.9 (windows 7 tempdir fix)
  * Allsigned compatible powershell calls
  * Fixed allow_reboot in case of very old previous opsi-client-agent version

-- Jan Schneider <j.schneider@uib.de> Tue, 21 Dec 2021 14:30:00 +0100

opsi-client-agent (4.2.0.18-2) stable; urgency=low

  * Update oca-installation-helper to 4.2.0.8 (minor logging fix)

-- Nils Doerrer <n.doerrer@uib.de> Mon, 16 Dec 2021 12:00:00 +0100

opsi-client-agent (4.2.0.18-1) stable; urgency=low

  * Rotate instlog during os installation
  * Update opsiclientd to 4.2.0.100 (event handling fix)
  * Update oca-installation-helper to 4.2.0.7 (proxy handling fix)
  * Fixed uninstall (Registry access by sysnative)
  * Update opsi-script to 4.12.4.33 (FileVersionInfo fix)

-- Jan Schneider <j.schneider@uib.de> Mon, 15 Dec 2021 11:24:00 +0100

===========================================================================================

opsi-linux-client-agent (4.2.0.14-1) stable; urgency=low

  * Adjust to opsi-windows-client-agent
  * Remove unused update_mac_address_on_normal_setup
  * Updated opsiclientd to 4.2.0.104
  * Updated opsi-script to 4.12.4.35
  * Updated oca-isntallation-helper to 4.2.0.11

-- Jan Schneider <j.schneider@uib.de> Mon, 06 Jan 2022 14:40:00 +0100

opsi-linux-client-agent (4.2.0.13-1) stable; urgency=low

  * Update opsiclientd to 4.2.0.101 (event handling fix)
  * Simplified dependency installation for RPM-based linux

-- Nils Doerrer <n.doerrer@uib.de> Mon, 20 Dec 2021 12:00:00 +0100

opsi-linux-client-agent (4.2.0.12-2) stable; urgency=low

  * Update oca-installation-helper to 4.2.0.8 (minor logging fix)

-- Nils Doerrer <n.doerrer@uib.de> Thu, 16 Dec 2021 12:00:00 +0100

===========================================================================================

l-desktop 4.2.0.2-1 ; stable ; urgency=low

  * fixes for debian (general part)

 -- d.oertel <d.oertel@uib.de> Wed, 02 Feb 2022 15:00:00 + 0100

===========================================================================================

opsi-server (4.2.0.62-1) stable; urgency=medium

  * Improvement:  Install opsi-obs.gpg key on debian-like dists

 -- uib GmbH <info@uib.de>  Tue, 25 Jan 2022 20:23:21 +0100

opsi-server (4.2.0.61-1) stable; urgency=medium

  * Improvement:  Require opsiconfd >= 4.2.0.228 and opsi-utils >= 4.2.0.149
  * Improvement:  New default hostcontrol.conf for the new config format
  * Improvement:  dynamic depot by network subnetwork match

 -- uib GmbH <info@uib.de>  Thu, 20 Jan 2022 13:53:50 +0100

opsi-server (4.2.0.60-1) stable; urgency=medium

  * Improvement:  Remove methods setGeneralConfig and setGeneralConfigValue
  * Bugfix:  getHostGroupTree_hash
  * Bugfix:  Remove invalid escape sequences in opsihwaudit.conf

 -- uib GmbH <info@uib.de>  Mon, 20 Dec 2021 10:25:23 +0100

opsi-server (4.2.0.59-1) stable; urgency=medium

  * Improvement:  New default values for hostRpcTimeout and maxConnections

 -- uib GmbH <info@uib.de>  Thu, 07 Oct 2021 14:45:10 +0200

opsi-server (4.2.0.58-1) stable; urgency=medium

  * Bugfix:  ucs join script udm groups/group modify

 -- uib GmbH <info@uib.de>  Tue, 07 Sep 2021 14:16:10 +0200

opsi-server (4.2.0.57-1) stable; urgency=medium

  * Improvement:  Fix method setProductActionProgress with empty string as progress

 -- uib GmbH <info@uib.de>  Mon, 06 Sep 2021 07:22:49 +0200

===========================================================================================

opsipxeconfd (4.2.0.24-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Thu, 03 Feb 2022 13:20:04 +0100

opsipxeconfd (4.2.0.23-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Fri, 21 Jan 2022 14:32:35 +0100

opsipxeconfd (4.2.0.22-1) stable; urgency=medium

  * No public changes

 -- uib GmbH <info@uib.de>  Wed, 01 Dec 2021 14:56:49 +0100

===========================================================================================

opsi-utils (4.2.0.152-1) stable; urgency=medium

  * Improvement:  Update python-opsi-common to 4.2.0.270
  * Improvement:  Set repository timeout to 24h
  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Thu, 03 Feb 2022 18:48:26 +0100

opsi-utils (4.2.0.151-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Fri, 28 Jan 2022 17:33:59 +0100

opsi-utils (4.2.0.150-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Thu, 27 Jan 2022 22:05:27 +0100

opsi-utils (4.2.0.149-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Thu, 20 Jan 2022 13:45:23 +0100

opsi-utils (4.2.0.148-1) stable; urgency=medium

  * Improvement:  updated python-opsi to 4.2.0.265 (fixed opsi-package-updater email notifier)
  * Improvement:  Set default for --max-transfers to 20

 -- uib GmbH <info@uib.de>  Fri, 14 Jan 2022 09:01:04 +0100

opsi-utils (4.2.0.147-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Wed, 12 Jan 2022 14:08:05 +0100

opsi-utils (4.2.0.146-1) stable; urgency=medium

  * Improvement:  Add lsb-release to dependencies
  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Wed, 05 Jan 2022 22:22:37 +0100

opsi-utils (4.2.0.145-1) stable; urgency=medium

  * Improvement:  Update python-opsi

 -- uib GmbH <info@uib.de>  Fri, 17 Dec 2021 15:11:00 +0100

===========================================================================================

opsiconfd (4.2.0.233-1) stable; urgency=medium

  * Feature:  Add WebDAV link on admin interface
  * Improvement:  Config file is optional

 -- uib GmbH <info@uib.de>  Wed, 02 Feb 2022 07:55:59 +0100

opsiconfd (4.2.0.232-1) stable; urgency=medium

  * Improvement:  Update python pacakages
  * Feature:  Add central webdav share /webdav

 -- uib GmbH <info@uib.de>  Fri, 28 Jan 2022 17:31:41 +0100

opsiconfd (4.2.0.231-1) stable; urgency=medium

  * Improvement:  Recreate server cert if ca is renewed

 -- uib GmbH <info@uib.de>  Wed, 26 Jan 2022 11:40:26 +0000

opsiconfd (4.2.0.230-1) stable; urgency=medium

  * Improvement:  Check server cert against ca
  * Improvement:  Improve ssl info in admin interface
  * Improvement:  Version 4.2.0.230 running with python 3.10
  * Improvement:  Update fastapi to 0.73
  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Tue, 25 Jan 2022 15:11:45 +0100

opsiconfd (4.2.0.229-1) stable; urgency=medium

  * No public changes

 -- uib GmbH <info@uib.de>  Fri, 21 Jan 2022 10:14:02 +0100

opsiconfd (4.2.0.228-1) stable; urgency=medium

  * No public changes

 -- uib GmbH <info@uib.de>  Wed, 12 Jan 2022 18:31:52 +0100

opsiconfd (4.2.0.227-1) stable; urgency=medium

  * Improvement:  Update python packages
  * Improvement:  Recreate server cert if key or cert unreadable
  * Improvement:  Check server cert and key mismatch

 -- uib GmbH <info@uib.de>  Wed, 12 Jan 2022 12:51:23 +0100

opsiconfd (4.2.0.226-1) stable; urgency=medium

  * Improvement:  Add lsb-release to dependencies
  * Bugfix:  Fix setting RLIMIT_NOFILE
  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Wed, 05 Jan 2022 22:23:14 +0100


===========================================================================================

Antworten